Subject: bug in pine mime types code?

From: Ed Arnold <[email-masked]>
Date: Wed, 2 Feb 2000 14:17:59 -0700 (MST)

I recently sent a message to pine-info about a problem I was having
with attaching WAV sound files to a message using pine-4.10.  I
subsequently determined that the problem is in the mime.types code
used by Pine; it appears not to be compatible with the keyed-field
mime types that are typically put into .mime.types by Netscape.
Specifically:

# the following definition in my .mime.types file works:
audio/x-wav	wav
# the following definition in my .mime.types file fails, i.e.
# Pine puts "application/octet-stream" into the "Content-Type:"
# header, rather than "audio/x-wav":
type=audio/x-wav	exts="wav"		desc="WAV audio"

Can anyone tell me if the MIME code in pine-4.21 works with the
keyed-field-style mime types?  If not, do I have the option of
getting later MIME code from somewhere and plugging that into pine?

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------